Table of Contents

## Name

XIntersectRegion, XUnionRegion, XUnionRectWithRegion, XSubtractRegion, XXorRegion, XOffsetRegion, XShrinkRegion - region arithmetic

## Syntax

int XIntersectRegion(Region sra, Region srb, Region
  dr_return);
int XUnionRegion(Region sra, Region srb, Region
  dr_return);
int XUnionRectWithRegion(XRectangle *rectangle, Region
  src_region, Region dest_region_return);
int XSubtractRegion(Region sra, Region srb, Region
  dr_return);
int XXorRegion(Region sra, Region srb, Region
  dr_return);
int XOffsetRegion(Region r, int dx, int dy);
int XShrinkRegion(Region r, int dx, int dy);

## Arguments

Returns the destination region.

Returns the result of the computation. ds Dy move or shrink

Specify the x and y coordinates, which define the amount you want to Dy the specified region.

Specifies the region.

Specifies the rectangle.

Specify the two regions with which you want to perform the computation.

Specifies the source region to be used.

## Description

The XIntersectRegion function computes the intersection of two regions.

The XUnionRegion function computes the union of two regions.

The XUnionRectWithRegion function updates the destination region from a union of the specified rectangle and the specified source region.

The XSubtractRegion function subtracts srb from sra and stores the results in dr_return.

The XXorRegion function calculates the difference between the union and intersection of two regions.

The XOffsetRegion function moves the specified region by a specified amount.

The XShrinkRegion function reduces the specified region by a specified amount. Positive values shrink the size of the region, and negative values expand the region.

## See Also

XCreateRegion(3X11) , XDrawRectangle(3X11) , XEmptyRegion(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also